Open CASCADE Technology: StepElement_HSequenceOfElementMaterial Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepElement_HSequenceOfElementMaterial Class Reference

`#include <StepElement_HSequenceOfElementMaterial.hxx>`

Inheritance diagram for StepElement_HSequenceOfElementMaterial:
[legend]

## Public Member Functions
| StepElement_HSequenceOfElementMaterial ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
void | Clear ()
void | Append (const Handle< StepElement_ElementMaterial > &anItem)
void | Append (const Handle< StepElement_HSequenceOfElementMaterial > &aSequence)
void | Prepend (const Handle< StepElement_ElementMaterial > &anItem)
void | Prepend (const Handle< StepElement_HSequenceOfElementMaterial > &aSequence)
void | Reverse ()
void | InsertBefore (const Standard_Integer anIndex, const Handle< StepElement_ElementMaterial > &anItem)
void | InsertBefore (const Standard_Integer anIndex, const Handle< StepElement_HSequenceOfElementMaterial > &aSequence)
void | InsertAfter (const Standard_Integer anIndex, const Handle< StepElement_ElementMaterial > &anItem)
void | InsertAfter (const Standard_Integer anIndex, const Handle< StepElement_HSequenceOfElementMaterial > &aSequence)
void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Handle< StepElement_HSequenceOfElementMaterial > | Split (const Standard_Integer anIndex)
void | SetValue (const Standard_Integer anIndex, const Handle< StepElement_ElementMaterial > &anItem)
const Handle< StepElement_ElementMaterial > & | Value (const Standard_Integer anIndex) const
Handle< StepElement_ElementMaterial > & | ChangeValue (const Standard_Integer anIndex)
void | Remove (const Standard_Integer anIndex)
void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const StepElement_SequenceOfElementMaterial & | Sequence () const
StepElement_SequenceOfElementMaterial & | ChangeSequence ()
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

StepElement_HSequenceOfElementMaterial::StepElement_HSequenceOfElementMaterial | ( |  | ) |

## Member Function Documentation

void StepElement_HSequenceOfElementMaterial::Append | ( | const Handle< StepElement_ElementMaterial > & | anItem | ) |

void StepElement_HSequenceOfElementMaterial::Append | ( | const Handle< StepElement_HSequenceOfElementMaterial > & | aSequence | ) |

StepElement_SequenceOfElementMaterial& StepElement_HSequenceOfElementMaterial::ChangeSequence | ( |  | ) |

Handle< StepElement_ElementMaterial >& StepElement_HSequenceOfElementMaterial::ChangeValue | ( | const Standard_Integer | anIndex | ) |

void StepElement_HSequenceOfElementMaterial::Clear | ( |  | ) |

void StepElement_HSequenceOfElementMaterial::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |  |

void StepElement_HSequenceOfElementMaterial::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle< StepElement_ElementMaterial > & | anItem
| ) |  |

void StepElement_HSequenceOfElementMaterial::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle< StepElement_HSequenceOfElementMaterial > & | aSequence
| ) |  |

void StepElement_HSequenceOfElementMaterial::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle< StepElement_ElementMaterial > & | anItem
| ) |  |

void StepElement_HSequenceOfElementMaterial::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle< StepElement_HSequenceOfElementMaterial > & | aSequence
| ) |  |

Standard_Boolean StepElement_HSequenceOfElementMaterial::IsEmpty | ( |  | ) | const

Standard_Integer StepElement_HSequenceOfElementMaterial::Length | ( |  | ) | const

void StepElement_HSequenceOfElementMaterial::Prepend | ( | const Handle< StepElement_ElementMaterial > & | anItem | ) |

void StepElement_HSequenceOfElementMaterial::Prepend | ( | const Handle< StepElement_HSequenceOfElementMaterial > & | aSequence | ) |

void StepElement_HSequenceOfElementMaterial::Remove | ( | const Standard_Integer | anIndex | ) |

void StepElement_HSequenceOfElementMaterial::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |  |

void StepElement_HSequenceOfElementMaterial::Reverse | ( |  | ) |

const StepElement_SequenceOfElementMaterial& StepElement_HSequenceOfElementMaterial::Sequence | ( |  | ) | const

void StepElement_HSequenceOfElementMaterial::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle< StepElement_ElementMaterial > & | anItem
| ) |  |

Handle< StepElement_HSequenceOfElementMaterial > StepElement_HSequenceOfElementMaterial::Split | ( | const Standard_Integer | anIndex | ) |

const Handle< StepElement_ElementMaterial >& StepElement_HSequenceOfElementMaterial::Value | ( | const Standard_Integer | anIndex | ) | const

The documentation for this class was generated from the following file:

- StepElement_HSequenceOfElementMaterial.hxx